// =============================================================================
// Copyright (C) 2009 - T. Pettersen
//
//  This file is distributed under the same license as the guimaker package.
// =============================================================================

// <-- INTERACTIVE TEST --> This test will be skipped because it is interactive.

// guimaker

// Return numbers as numbers
pg=list();
pg($+1)=list(list('edit','1.234'),list('edit','abc'));
pg($+1)=list(list('pushbutton','OK','callback','OK=%t'));
[a,b]=guimaker(pg,list("unit_tests: 1: Return numbers as numbers"));
if type(a)=='string' then disp('guimaker: Failed to return number as number'); pause; end
  
// Return handles
h=guimaker(pg,list("unit_tests - guimaker 2: Return handles"),[],2);
if typeof(h(1))<>"handle" then disp('guimaker: Failed to return handles"); pause; end
  
// Return output arguments as a list
l=guimaker(pg,list("unit_tests - guimaker 3: Return output args as list"));
if typeof(l)<>"list" then disp('guimaker: Failed to return output args as list"); pause; end
  
// Return source code to gui
src=guimaker(pg,list("unit_tests - guimaker 4: Return source code"),[],1);
if typeof(src)<>"string" then disp('guimaker: Failed to return source code of gui"); pause; end
  

